# Class: DateEditorView

## module:core.form.editors. DateEditorView

Calendar editor. The calendar opens in dropdown panel. Supported data type: `String` in ISO8601 format (for example, '2015-07-20T00:00:00Z').

#### new DateEditorView(options)

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `options` | Object | Options object. All the properties of BaseEditorView class are also supported. ###### Properties
  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `allowEmptyValue` | Boolean | <optional> | true | Whether to display a delete button that sets the value to `null`.
  `dateDisplayFormat` | String | <optional> | null | A [MomentJS](http://momentjs.com/docs/#/displaying/format/) format string (e.g. 'M/D/YYYY' etc.).

### Extends

- module:core.form.editors.base.BaseEditorView

### Members

#### hasFocus

  Indicates whether the editor has focus.
  Inherited From:
    - module:core.form.editors.base.BaseEditorView#hasFocus

### Methods

#### blur()

  Clears the focus.

#### commit( [options])

  Update the model with the internal editor's value.

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `options` | Object | <optional> | Options to pass to model.set(). ###### Properties
  Name | Type | Argument | Description
  --- | --- | --- | ---
  `validate` | Boolean | <optional> | Set to true to trigger built-in model validation.

  Inherited From:
    - module:core.form.editors.base.BaseEditorView#commit

  ##### Returns:

  Returns an error object `{ type, message }` if validation fails and `options.forceCommit` is turned off. `undefined` otherwise.
  Type
    Object | undefined

#### focus()

  Sets the focus onto this editor.

#### getEnabled()

  Returns the value of `enabled` flag.
  Inherited From:
    - module:core.form.editors.base.BaseEditorView#getEnabled

  ##### Returns:

  Type
    Boolean

#### getModelValue()

  Retrieves actual value of the bound attribute from the model.
  Inherited From:
    - module:core.form.editors.base.BaseEditorView#getModelValue

  ##### Returns:

  Type
    *

#### getReadonly()

  Returns the value of `readonly` flag.
  Inherited From:
    - module:core.form.editors.base.BaseEditorView#getReadonly

  ##### Returns:

  Type
    Boolean

#### getValue()

  Returns internal editor's value.
  Inherited From:
    - module:core.form.editors.base.BaseEditorView#getValue

  ##### Returns:

  Type
    *

#### setEnabled(enabled)

  Sets a new value of `enabled` flag. While disabled, the editor's value cannot be changed or copied by the user. It's implied that the value doesn't make sense.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `enabled` | Boolean | New flag value.

  Inherited From:
    - module:core.form.editors.base.BaseEditorView#setEnabled

#### setReadonly(readonly)

  Sets a new value of `readonly` flag. While readonly, the editor's value cannot be changed but can be copied by the user.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `readonly` | Boolean | New flag value.

  Inherited From:
    - module:core.form.editors.base.BaseEditorView#setReadonly

#### setValue(value)

  Sets new internal editor's value.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `value` | * | The new value.

  Inherited From:
    - module:core.form.editors.base.BaseEditorView#setValue

#### updateValue()

  Manually updated editor's internal value with the value from `this.model.get(this.key)`. Shouldn't be called normally. The method is called internally on model's `change` event.
  Inherited From:
    - module:core.form.editors.base.BaseEditorView#updateValue

#### validate()

  Check validity with built-in validator functions (initially passed into constructor options).
  Inherited From:
    - module:core.form.editors.base.BaseEditorView#validate

  ##### Returns:

  Returns an error object `{ type, message }` if validation fails. `undefined` otherwise.
  Type
    Object | undefined

#### Search results